<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- web.xml from the app-blank template Web app
     from http://courses.coreservlets.com/Course-Materials/.
     Includes two standard elements: welcome-file list
     and a servlet-mapping to disable the invoker servlet.
-->  
<web-app xmlns="http://java.sun.com/xml/ns/j2ee"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation=
           "http://java.sun.com/xml/ns/j2ee web-app_2_4.xsd"
         version="2.4"> 
  
  <!-- Your entries go here. -->
  <servlet>
    <servlet-name>MyName</servlet-name>
    <servlet-class>mypackage.MyServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>MyName</servlet-name>
    <url-pattern>/MyAddress</url-pattern>
  </servlet-mapping>
  

  <!-- Disable the invoker servlet. -->
  <servlet>
    <servlet-name>NoInvoker</servlet-name>
    <servlet-class>coreservlets.NoInvokerServlet</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>NoInvoker</servlet-name>
    <url-pattern>/servlet/*</url-pattern>
  </servlet-mapping>
  
  <!-- If URL gives a directory but no filename, try index.jsp
       first and index.html second. If neither is found,
       the result is server-specific (e.g., a directory 
       listing).  
  -->
  <welcome-file-list>
    <welcome-file>index.jsp</welcome-file>
    <welcome-file>index.html</welcome-file>
  </welcome-file-list>
</web-app>
